Remote configuration endpoints
This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated: Use /api/remoteconfigurations/search instead
Number of results to return (max 500)
25Example: 25Cursor for pagination - ID to start after
Filter by group(s)
Filter by facility ID
Filter by user ID
Central RemoteConfiguration
RemoteConfigurations
Total number of found entities for this query
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/remoteconfigs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"remoteConfigurations": [
{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}
],
"total": 42
}Create a new remote configuration with specified key, value, type, groups, and optional scopes.
RemoteConfigurationForCreation
Groups this configuration belongs to
["INVENTORY"]Unique business key of this entity
PICKING_SHOW_NEW_SCAN_VIEWThe value of this remote configuration
The type of the value
Created entity in the body.
RemoteConfiguration
The date this entity was created at the platform
Generated flatten unique ids of all scope sub elements (userRef, facilityRef)
["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]Groups this configuration belongs to
["INVENTORY"]Auto generated unique identifier
LGMl2DuvPnfPoSHhYFOmUnique business key of this entity
PICKING_SHOW_NEW_SCAN_VIEWThe date this entity was modified last
The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/remoteconfigs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 217
{
"groups": [
"INVENTORY"
],
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN"
}{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}Get a single remote configuration by its unique identifier. Also accepts key in URN format (e.g. urn:fft:remoteconfig🔑{your-key}).
Central RemoteConfiguration
RemoteConfiguration
The date this entity was created at the platform
Generated flatten unique ids of all scope sub elements (userRef, facilityRef)
["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]Groups this configuration belongs to
["INVENTORY"]Auto generated unique identifier
LGMl2DuvPnfPoSHhYFOmUnique business key of this entity
PICKING_SHOW_NEW_SCAN_VIEWThe date this entity was modified last
The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/remoteconfigs/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}Replace an existing remote configuration by its unique identifier. All fields will be replaced with the provided values. Also accepts key in URN format (e.g. urn:fft:remoteconfig🔑{your-key}).
RemoteConfigurationForPut
Groups this configuration belongs to
["INVENTORY"]The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Successfully Changed
RemoteConfiguration
The date this entity was created at the platform
Generated flatten unique ids of all scope sub elements (userRef, facilityRef)
["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]Groups this configuration belongs to
["INVENTORY"]Auto generated unique identifier
LGMl2DuvPnfPoSHhYFOmUnique business key of this entity
PICKING_SHOW_NEW_SCAN_VIEWThe date this entity was modified last
The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PUT /api/remoteconfigs/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 194
{
"groups": [
"INVENTORY"
],
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}Add a new scope to an existing remote configuration. The scope will be added to the list of existing scopes. Also accepts key in URN format (e.g. urn:fft:remoteconfig🔑{your-key}).
AddRemoteConfigurationScopeParameter
The version of the remote config for optimistic locking
1Updated RemoteConfiguration in the body.
RemoteConfiguration
The date this entity was created at the platform
Generated flatten unique ids of all scope sub elements (userRef, facilityRef)
["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]Groups this configuration belongs to
["INVENTORY"]Auto generated unique identifier
LGMl2DuvPnfPoSHhYFOmUnique business key of this entity
PICKING_SHOW_NEW_SCAN_VIEWThe date this entity was modified last
The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/remoteconfigs/{id}/scopes HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 143
{
"remoteConfigVersion": 1,
"scope": {
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
}{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}Update an existing remote configuration by its unique identifier. Only provided fields will be updated, others will remain unchanged. Also accepts key in URN format (e.g. urn:fft:remoteconfig🔑{your-key}).
RemoteConfigurationForUpdate
Groups this configuration belongs to
["INVENTORY"]The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Successfully Changed
RemoteConfiguration
The date this entity was created at the platform
Generated flatten unique ids of all scope sub elements (userRef, facilityRef)
["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]Groups this configuration belongs to
["INVENTORY"]Auto generated unique identifier
LGMl2DuvPnfPoSHhYFOmUnique business key of this entity
PICKING_SHOW_NEW_SCAN_VIEWThe date this entity was modified last
The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PATCH /api/remoteconfigs/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 194
{
"groups": [
"INVENTORY"
],
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}Delete a remote configuration by its unique identifier. This operation is irreversible. Also accepts key in URN format (e.g. urn:fft:remoteconfig🔑{your-key}).
Successfully Deleted
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
DELETE /api/remoteconfigs/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Remove a scope from an existing remote configuration by scope ID. The scope will be removed from the list of existing scopes. Also accepts key in URN format (e.g. urn:fft:remoteconfig🔑{your-key}).
Version of the remote config for optimistic locking
Successfully Deleted
RemoteConfiguration
The date this entity was created at the platform
Generated flatten unique ids of all scope sub elements (userRef, facilityRef)
["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]Groups this configuration belongs to
["INVENTORY"]Auto generated unique identifier
LGMl2DuvPnfPoSHhYFOmUnique business key of this entity
PICKING_SHOW_NEW_SCAN_VIEWThe date this entity was modified last
The value of this remote configuration
The type of the value
The version of the document for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
DELETE /api/remoteconfigs/{id}/scopes/{scopeId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}Last updated
Was this helpful?

